%global momorel 8

Name:           slim
Version:        1.3.1
Release:        %{momorel}m%{?dist}
Summary:        Simple Login Manager

Group:          User Interface/X
License:        GPLv2+
URL:            http://slim.berlios.de/
Source0:        http://download.berlios.de/slim/%{name}-%{version}.tar.gz
# stolen from xdm
Source1:        %{name}.pam
# adapted from debian to use freedesktop
Source2:        slim-update_slim_wmlist
Source3:        slim-momonga.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         slim-1.3.1-make.patch
Patch1:         slim-1.3.1-usexwd.patch
Patch2:         slim-1.3.1-fedora.patch
Patch3:         slim-1.3.1-strtol.patch
Patch4:         slim-1.3.1-remove.patch
Patch5:         slim-1.3.1-curdir.patch
Patch6:         slim-1.3.1-selinux.patch
Patch7:         slim-1.3.1-CVE-2009-1756.patch
Patch8:         slim-1.3.1-fix-insecure-mcookie-generation.patch
Patch9:         slim-1.3.1-gcc44.patch

BuildRequires:  libXmu-devel libXft-devel libXrender-devel
BuildRequires:  libpng-devel libjpeg-devel >= 8a freetype-devel fontconfig-devel
BuildRequires:  pkgconfig gettext libselinux-devel pam-devel
BuildRequires:  xorg-x11-xwd xterm upstart
Requires:       xorg-x11-xwd xterm upstart
# we use 'include' in the pam file, so
Requires:       pam >= 0.80
# for anaconda yum
Provides:       service(graphical-login)

%description
SLiM (Simple Login Manager) is a graphical login manager for X11.
It aims to be simple, fast and independent from the various
desktop environments.
SLiM is based on latest stable release of Login.app by Per Liden.

In the distribution, slim may be called through a wrapper, slim-dynwm,
which determines the available window managers using the freedesktop
information and modifies the slim configuration file accordingly,
before launching slim.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .fedora
%patch3 -p1 -b .gcc43
%patch4 -p1 -b .gcc44
%patch5 -p1 -b .curdir
%patch6 -p1 -b .selinux
%patch7 -p1 -b .CVE-2009-1756
%patch8 -p1 -b .mcookie
%patch9 -p1 -b .gcc44again
cp -p %{SOURCE3} README.Momonga

%build
make %{?_smp_mflags} OPTFLAGS="$RPM_OPT_FLAGS" USE_PAM=1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' MANDIR=%{_mandir}

install -p -m755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/update_slim_wmlist

# do a slim wrapper which updates the window manager list before
# launching slim
cat > $RPM_BUILD_ROOT%{_bindir}/slim-dynwm << EOF
#!/bin/sh
update_slim_wmlist
if [ "x\$1" = "x-nodaemon" ]; then
  shift
  exec slim "\$@"
else
  slim -d "\$@"
fi
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/slim-dynwm
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/slim.conf

install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -p -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/slim

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README* THEMES TODO
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/pam.d/slim
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/slim.conf
%{_bindir}/slim*
%{_bindir}/update_slim_wmlist
%{_mandir}/man1/slim*.1*
%dir %{_datadir}/slim
%{_datadir}/slim/themes/

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.1-8m)
- full rebuild for mo7 release

* Mon Jul 26 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.1-7m)
- do not replace the background image and say good-bye to
  desktop-backgrounds-basic

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.1-6m)
- rebuild against libjpeg-8a

* Mon Jan  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.1-5m)
- [SECURITY] CVE-2009-1756
- sync with Rawhide (1.3.1-9)

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.1-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct 29 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.1-3m)
- [SECURITY] https://bugzilla.redhat.com/show_bug.cgi?id=505359
- import patches from Fedora 11 (1.3.1-8)

* Mon Sep 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.1-2m)
- rebuild against libjpeg-7

* Tue Jun 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.1-1m)
- import from Fedora 11

* Sat Feb 28 2009 Anders F Bjorklund <afb@users.sourceforge.net> 1.3.1-5
- provide service(graphical-login) for anaconda yuminstall (#485789)

* Sun Feb 22 2009 Anders F Bjorklund <afb@users.sourceforge.net> 1.3.1-4
- Add header for remove(3)

* Wed Feb 04 2009 Anders F Bjorklund <afb@users.sourceforge.net> 1.3.1-3
- use small "default_blue" background, instead of large compat "default"

* Wed Oct 15 2008 Marco Pesenti Gritti <mpg@redhat.com>  1.3.1-2
- Enable pam_selinux

* Thu Oct 09 2008 Marco Pesenti Gritti <mpg@redhat.com>  1.3.1-1
- Update to 1.3.1

* Sun Oct 05 2008 Anders F Bjorklund <afb@users.sourceforge.net> 1.3.0-7
- add compat req (#465631)

* Wed Sep 24 2008 Anders F Bjorklund <afb@users.sourceforge.net> 1.3.0-6
- fix patch fuzz

* Fri May 16 2008 Anders F Bjorklund <afb@users.sourceforge.net> 1.3.0-5
- all the images are now in desktop-backgrounds-basic

* Fri Feb 22 2008 Anders F Bjorklund <afb@users.sourceforge.net> 1.3.0-4
- add header for strtol(3)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.3.0-3
- Autorebuild for GCC 4.3

* Sat Jan 19 2008 Anders F Bjorklund <afb@users.sourceforge.net> 1.3.0-2
- rebuild

* Mon Aug  6 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.3.0-1
- version upgrade

* Mon Aug  6 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.2.6-6
- require system-logos instead of fedora-logos (#250365)

* Tue May 22 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.2.6-5
- make sure to own datadir slim parent too

* Mon May 21 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.2.6-4
- use desktop background, instead of slim
- leave (unused) pam files in the package

* Mon May 14 2007 Anders F Bjorklund <afb@users.sourceforge.net>
- clean up spec file
- correct README user

* Sun May 13 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.2.6-3
- use slim background instead of default
- added more build dependencies / -devel
- add "README.Fedora"
- patch issue display

* Wed May 09 2007 Anders F Bjorklund <afb@users.sourceforge.net>
- clean up spec file
- noreplace slim.conf

* Tue May 08 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.2.6-2
- fixed source URL
- added libXft-devel
- removed xrdb dependency (left from wdm)
- added xwd dependency (for screenshots)

* Sun May 06 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.2.6-1
- initial package
- adopted wdm spec
